jEdit Community - Resources for users of the jEdit Text Editor
jEdit, Mac, Java 1.7+
Submitted by alopecoid on Monday, 30 April, 2012 - 15:10
Hi,

Java 1.7 has been officially released by Oracle for OS X 64-Bit:
http://download.oracle.com/otn-pub/java/jdk/7u4-b21/jdk-7u4-macosx-x64.dmg

I have been attempting to get jEdit (4.5.1) running with this JVM without any success. When I modify JVMVersion from 1.6+ to 1.7+ in /Applications/jEdit.app/Contents/Info.plist, I get an error "No compatible version of Java 1.7+ is available.". I have also tried setting this to the exact version number.


You will see here that I have Java 1.7 installed correctly:

/usr/libexec/java_home --verbose

Matching Java Virtual Machines (5):
1.7.0_04, x86_64: "Java SE 7" /Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home
1.6.0_31-b04-413, x86_64: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0_31-b04-413.jdk/Contents/Home
1.6.0_31-b04-413, i386: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0_31-b04-413.jdk/Contents/Home
1.6.0_31-b04-413, x86_64: "Java SE 6" /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
1.6.0_31-b04-413, i386: "Java SE 6" /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home

/Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home


And:

echo ${JAVA_HOME}

/Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home


Also, Java 1.7 is even set as the default:

java -version

java version "1.7.0_04"
Java(TM) SE Runtime Environment (build 1.7.0_04-b21)
Java HotSpot(TM) 64-Bit Server VM (build 23.0-b21, mixed mode)


I have been running jEdit on Linux (Ubuntu) and Java 1.7 for quite some time without any major issues.


Any ideas?

Thank you.
Comment viewing options
Select your preferred way to display the comments and click 'Save settings' to activate your changes.
I will try the jEdit Develope
by Shadowl on Fri, 12/10/2012 - 13:23
I will try the jEdit Developers Mailing List if you have no further suggestions on hgh.
Mailing List
by Robert Schwenn on Wed, 02/05/2012 - 17:35
Hi,
are You sure that jEdit is working with Java 64bit?

If Your problem persists, please ask at the jEdit Developers Mailing List . There are the developers.

Robert
 
Hi, Yes, I am sure that jE
by alopecoid on Thu, 16/08/2012 - 03:26
Hi,

Yes, I am sure that jEdit is working with 64-bit Java on Linux (Ubuntu).

I am still having the same exact problem as I mentioned in my earlier post, even with the newest versions of everything: jEdit 5.0pre1, jdk-7u6-macosx-x64, OS X 10.8

I will try the jEdit Developers Mailing List if you have no further suggestions.

Thank you.
 
Did you find a solution?
by Seron on Fri, 07/09/2012 - 12:06
I have the same problem. If you find a solution please post it. In my case I have only jdk 1.7.0_07, x86_64.
User login
Browse archives
« January 2018  
MoTuWeThFrSaSu
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
 
Poll
Are you interested in language packs for jEdit?
Yes, and I could help maintain translations
26%
Yes, I'd like to have translations
33%
Indifferent
35%
No, that'd be bad (please comment)
7%
Total votes: 1092
Syndication
file   ver   dls
German Localization light   4.4.2.1   50945
Context Free Art (*.cfdg)   0.31   41166
JBuilder scheme   .001   16997
BBEdit scheme   1.0   16596
ColdFusion scheme   1.0   16582
R Edit Mode - extensive version   0.1   14862
Advanced HTML edit mode   1.0   14043
Matlab Edit Mode   1.0   13979
jEdit XP icons   1.0   13412
XP icons for jEdit   1.1   12435